classification
Title: Typo in Python/import.c
Type: Stage: resolved
Components: Interpreter Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, ukwksk
Priority: normal Keywords: patch

Created on 2018-05-07 15:12 by ukwksk, last changed 2018-05-14 19:11 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6721 closed python-dev, 2018-05-07 15:19
PR 6722 merged ukwksk, 2018-05-07 15:30
Messages (3)
msg316273 - (view) Author: Yuki Wakisaka (ukwksk) * Date: 2018-05-07 15:12
In the method, "_PyImportZip_Init(void)", of Python/import.c, the variable, "PyObject *path_hooks, *zimpimport;", seems to be typo, which can be "zipimport".
msg316554 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-05-14 19:10
New changeset 5e6312c39e1fc32ecef18d340bcd5f7e314170e1 by Brett Cannon (ukwksk) in branch 'master':
bpo-33443 Fix typo in Python/import.c (GH-6722)
https://github.com/python/cpython/commit/5e6312c39e1fc32ecef18d340bcd5f7e314170e1
msg316555 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-05-14 19:11
Thanks!
History
Date User Action Args
2018-05-14 19:11:15brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg316555

stage: patch review -> resolved
2018-05-14 19:10:54brett.cannonsetnosy: + brett.cannon
messages: + msg316554
2018-05-11 07:32:20ukwksksetversions: - Python 3.8
2018-05-07 15:30:52ukwksksetpull_requests: + pull_request6414
2018-05-07 15:19:15python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6413
2018-05-07 15:12:33ukwkskcreate